package com.zd.laboratory.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zd.laboratory.mapper.LabSemesterMapper;
import com.zd.laboratory.domain.LabSemester;
import com.zd.laboratory.service.ILabSemesterService;

/**
 * 学期设置Service业务层处理
 * 
 * @author zd
 * @date 2021-12-13
 */
@Service
public class LabSemesterServiceImpl implements ILabSemesterService 
{
    @Autowired
    private LabSemesterMapper labSemesterMapper;

    /**
     * 查询学期设置
     * 
     * @param id 学期设置主键
     * @return 学期设置
     */
    @Override
    public LabSemester selectLabSemesterById(Long id)
    {
        return labSemesterMapper.selectLabSemesterById(id);
    }

    /**
     * 查询学期设置列表
     * 
     * @param labSemester 学期设置
     * @return 学期设置
     */
    @Override
    public List<LabSemester> selectLabSemesterList(LabSemester labSemester)
    {
        return labSemesterMapper.selectLabSemesterList(labSemester);
    }

    /**
     * 新增学期设置
     * 
     * @param labSemester 学期设置
     * @return 结果
     */
    @Override
    public int insertLabSemester(LabSemester labSemester)
    {
        return labSemesterMapper.insertLabSemester(labSemester);
    }

    /**
     * 修改学期设置
     * 
     * @param labSemester 学期设置
     * @return 结果
     */
    @Override
    public int updateLabSemester(LabSemester labSemester)
    {
        return labSemesterMapper.updateLabSemester(labSemester);
    }

    /**
     * 批量删除学期设置
     * 
     * @param ids 需要删除的学期设置主键
     * @return 结果
     */
    @Override
    public int deleteLabSemesterByIds(Long[] ids)
    {
        return labSemesterMapper.deleteLabSemesterByIds(ids);
    }

    /**
     * 删除学期设置信息
     * 
     * @param id 学期设置主键
     * @return 结果
     */
    @Override
    public int deleteLabSemesterById(Long id)
    {
        return labSemesterMapper.deleteLabSemesterById(id);
    }

    @Override
    public List<LabSemester> allSemesterList() {
        return labSemesterMapper.allSemesterList();
    }
}
